/***********************************************************************************
* Introduction to SQL 
* Dave Valentine
* Date Functions Demo Scripts
***********************************************************************************/

USE AdventureWorks2012;
GO

/***********************************************************************************
* Get the Current Timestamp from the GETDATE Function
***********************************************************************************/
SELECT GETDATE();

/***********************************************************************************
* Get the Current Coordinated Universal Timestamp from the GETUTCDATE Function
***********************************************************************************/
SELECT GETUTCDATE();


/***********************************************************************************
* Using the DATEADD date function get the following timestamps 
*	Three days from today
*	Two months from today
*	Ten years ago from today
***********************************************************************************/
SELECT DATEADD(DAY,3,GETDATE());
SELECT DATEADD(Month,2,GETDATE());
SELECT DATEADD(YEAR,-10,GETDATE());


/***********************************************************************************
* Using the DATEDIFF date function get the day differences 
*	Today and when I leave for Las Vegas 11/16/2019
*   Today and when my granson was born 8/24/2017
***********************************************************************************/
SELECT DaysToVegas = DATEDIFF(DAY, GETDATE(), '11/16/2019');
SELECT GrandsonDaysOld = DATEDIFF(DAY, '8/24/2017', GETDATE());



/***********************************************************************************
* Get the Date Parts using teh DAY, MONTH, and YEAR datefunctions
***********************************************************************************/
SELECT MONTH(GETDATE());
SELECT DAY(GETDATE());
SELECT YEAR(GETDATE());




/***********************************************************************************
* End Date Functions Demo
***********************************************************************************/

